Subject: Re: [Simple] Interdomain presence

From: deepankarb 70286 <[email-masked]>
Date: Mon, 04 Nov 2002 00:11:10 -0800

Bingo !  But, would'nt it increase the call setup time ? 

----- Original Message -----
From: Jonathan Rosenberg <[email-masked]>
Date: Sunday, November 3, 2002 7:05 pm
Subject: Re: [Simple] Interdomain presence

> 
> 
> deepankarb 70286 wrote:
> > Yes, thats correct, but I would try to put my query this way.
> >
> > say if my PA aka softswitch is responsible for abc.com 
> administrative > domain, and there's another PA taking care of 
> xyz.com administrative
> > domain. Both have their set of homing subscribers (PUAs). Here, 
> I am
> > taking PUAs as fixed IP phones, PSTN phones. Since both belong to
> > different administrative domains, and in case of an example of
> > presence based voice calling, a sip caller sip:[email-masked] is
> > calling sip:[email-masked], and abc.com needs to find the presence
> > first, and then route the call. In this case, how would xyz.com
> > indicate the presence status/document of acallee to abc.com?
> 
> Thats what draft-ietf-simple-presence is for. The abc.com would 
> SUBSCRIBE to the presence state at xyz.com.
> 
> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> simple mailing list
> [email-masked]
> http://mailman.dynamicsoft.com/mailman/listinfo/simple
> 

_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple

---

From: Ben Campbell <[email-masked]>
Date: Mon, 04 Nov 2002 08:19:09 -0600

Certainly it will, if you need it for call routing and you don't have it 
prior to call setup. If you cannot have a delay in call setup, you must 
subscribe to the information in advance.

But submit that the application you describe is very much a classic SIP 
application, and does not gain much from a presence subscription. 
Abc.com does not need to subscribe to presence information, unless 
abc.com (or the user) expects to be notified of a presence change and 
take some action as a result of that change.

In your example, why would you not simply have abc.com proxy the call to 
xyz.com, then let xyz.com route the call based on the registered 
contacts? What routing decision is abc.com making based on presence?

---

From: Deepankar <[email-masked]>
Date: Tue, 05 Nov 2002 08:53:39 +0800

Inline
----- Original Message -----
From: "Ben Campbell" <[email-masked]>
To: "deepankarb 70286" <[email-masked]>
Cc: "Jonathan Rosenberg" <[email-masked]>;
<[email-masked]>
Sent: Monday, November 04, 2002 10:19 PM
Subject: Re: [Simple] Interdomain presence

> subscribe to the information in advance.
[Deeps] OK. Now, when we are talking of softswitches, it means a whole bunch
of subscribers, which would be heavy, specially, when presence gets extended
to H.323 endpoints and MGCP phones. Would presencelist package work here ?

> [Deeps] The objective is to do a fetch on the presence information, and
route the call. Subsequent notifications might not be necessary for presence
based voice calling. As above, they might be required only if say, the
presence servers/PAs on both the ends maintain a separate secure channel for
SUBSCRIBE/NOTIFY.

> contacts? What routing decision is abc.com making based on presence?
[Deeps] Then in case of a callee busy everywhere, but with some preferences
like, the incoming calls should holler him after the lunch, or call the
following delegates at these numbers, .. the call appears to be terminated
normally to abc.com, and it does'nt gain from presence information. If
abc.com would have got the updated presence information/document, before
routing the call, it would had prompted the caller for further actions.